---
updatedAt: 2026-06-29T20:36:51.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Get transaction

Get a specific transaction by its ID. You can use the [List transactions](ref:searchtransactions) endpoint to search for a transaction and get its ID.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "tags": [
    {
      "name": "Transactions",
      "description": "Endpoints to retrieve transaction data."
    }
  ],
  "info": {
    "title": "Core platform - Transactions",
    "version": "1.0.0",
    "description": "API used to configure transactions domain and get transactions information.",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/transactions-core",
      "description": "Sandbox API server for testing"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "TransactionType": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "description": "Transaction type ID"
          },
          "description": {
            "type": "string",
            "description": "Transaction type description",
            "maxLength": 30
          },
          "credit": {
            "type": "boolean",
            "description": "Indicates if the transaction type is a credit or debit operation."
          },
          "posted_transaction": {
            "type": "boolean",
            "description": "Indicates whether transactions are posted on statements (`true`) or not (`false`)."
          },
          "balance_impact_id": {
            "type": "integer",
            "format": "int64",
            "description": "Balance impact ID"
          },
          "category": {
            "type": "string",
            "description": "Transaction type category"
          }
        },
        "example": {
          "id": 203,
          "description": "Credit voucher",
          "credit": true,
          "posted_transaction": true,
          "balance_impact_id": 4,
          "category": "PAYMENTS/CREDITS"
        }
      },
      "Card": {
        "type": "object",
        "description": "Contains details about the card used in a transaction.\n*  For transactions from card network operations, this object includes card information.\n*  For platform operations, this object is empty.\nWhether card information appears depends on what was provided during authorization, not on the transaction type.\n",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Card ID"
          },
          "name": {
            "type": "string",
            "description": "Card name"
          }
        }
      },
      "Transaction": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "description": "Transaction ID",
            "example": 1111
          },
          "program_id": {
            "type": "integer",
            "format": "int64",
            "description": "Program ID",
            "example": 2222
          },
          "account_id": {
            "type": "integer",
            "format": "int64",
            "description": "Account ID",
            "example": 1234
          },
          "statement_id": {
            "type": "integer",
            "format": "int64",
            "description": "Statement ID",
            "example": 2345
          },
          "installment": {
            "type": "integer",
            "description": "Transaction installment number",
            "example": 2
          },
          "number_of_installments": {
            "type": "integer",
            "description": "Total number of installments",
            "example": 20
          },
          "soft_descriptor": {
            "type": "string",
            "description": "Soft descriptor of transaction. This is the description that shows on the customer's statement after it is authorized, but before it is settled."
          },
          "processing_code": {
            "type": "string",
            "description": "Processing code used to create the transaction.",
            "example": "00"
          },
          "processing_description": {
            "type": "string",
            "description": "Processing code description",
            "example": "Purchase"
          },
          "customer_id": {
            "type": "integer",
            "format": "int64",
            "description": "Customer ID",
            "example": 8675309
          },
          "user_category": {
            "type": "string",
            "description": "User category",
            "example": "SERVICES"
          },
          "transaction_group": {
            "type": "string",
            "description": "Transaction group",
            "example": "EXPENSES",
            "deprecated": true
          },
          "entry_mode": {
            "type": "string",
            "description": "Transaction Entry Mode",
            "example": "POS"
          },
          "amount": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Amount"
            }
          },
          "tax": {
            "type": "array",
            "description": "Transaction taxes",
            "items": {
              "$ref": "#/components/schemas/Tax"
            }
          },
          "event_date": {
            "type": "string",
            "format": "date-time",
            "description": "Event timestamp in the UTC (zero-hour offset) ISO 8601 format (yyyy-MM-ddThh:mm:ssZ).",
            "example": "2022-08-24T19:15:24.000Z"
          },
          "event_datetime": {
            "type": "string",
            "format": "date-time",
            "description": "Event timestamp in the UTC (zero-hour offset) RFC 3339 format, which includes milliseconds (yyyy-MM-ddThh:mm:ss.SSSZ).",
            "example": "2022-08-24T19:15:24.000Z"
          },
          "payment_date": {
            "type": "string",
            "format": "date-time",
            "description": "Payment timestamp provided by the user in the ISO 8601 format (yyyy-MM-ddThh:mm:ssZ).",
            "example": "2022-08-24T20:13:24.000Z"
          },
          "payment_datetime": {
            "type": "string",
            "format": "date-time",
            "description": "Payment timestamp provided by the user in the RFC 3339 format, which includes milliseconds (yyyy-MM-ddThh:mm:ss.SSSZ).",
            "example": "2022-08-24T20:13:24.000Z"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "description": "Transaction creation date (ISO 8601)",
            "example": "2022-08-24T19:05:24.000Z"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/TransactionType"
          },
          "card": {
            "$ref": "#/components/schemas/Card"
          },
          "authorization": {
            "$ref": "#/components/schemas/Authorization"
          },
          "merchant": {
            "$ref": "#/components/schemas/Merchant"
          }
        }
      },
      "TransactionWithMetadata": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Transaction"
          },
          {
            "type": "object",
            "properties": {
              "metadata": {
                "type": "object",
                "description": "This optional user-defined key-value object field can be used with external operations to provide additional context or supplementary custom information for the operation. The Pismo platform does not perform any validation or processing on this field.\n\n**Note**: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to [Get started with Pismo APIs](https://developers.pismo.io/pismo-docs/reference/get-started-with-pismo-apis#metadata).\n"
              }
            }
          }
        ]
      },
      "Amount": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "PRINCIPAL",
              "LOCAL",
              "SETTLEMENT"
            ],
            "description": "Amount type \n  - `PRINCIPAL`: Transaction amount in the customer’s account currency (already converted).\n  - `LOCAL`: Transaction amount in the merchant’s local currency, where the purchase was made.\n  - `SETTLEMENT`: Settlement amount that is typically defined by the issuer and usually matches the `PRINCIPAL` currency.\n"
          },
          "currency": {
            "type": "string",
            "description": "ISO-4217 alphabetic code (3 characters) for transaction currency.",
            "example": "USD"
          },
          "value": {
            "type": "number",
            "multipleOf": 0.01,
            "description": "Amount value"
          }
        }
      },
      "Tax": {
        "type": "object",
        "properties": {
          "currency": {
            "description": "ISO-4217 alphabetic code (3 characters) for transaction currency.",
            "type": "string",
            "minLength": 0,
            "maxLength": 3,
            "example": "BRL"
          },
          "type": {
            "type": "string",
            "enum": [
              "IOF",
              "IOF_DAILY",
              "INTEREST"
            ],
            "description": "Tax type"
          },
          "value": {
            "type": "number",
            "multipleOf": 0.01,
            "description": "Tax value"
          }
        }
      },
      "Merchant": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Merchant ID"
          },
          "type": {
            "type": "string",
            "description": "Merchant type"
          },
          "name": {
            "type": "string",
            "description": "Merchant name"
          },
          "city": {
            "type": "string",
            "description": "Merchant city"
          },
          "state": {
            "type": "string",
            "description": "Merchant's state. In some cases, for countries other than the U.S., it can indicate the country code of the merchant instead."
          },
          "category": {
            "$ref": "#/components/schemas/MerchantCategory"
          }
        }
      },
      "MerchantCategory": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Merchant category code (MCC). Provided by the network (Visa or Mastercard)."
          },
          "description": {
            "type": "string",
            "description": "Merchant category description"
          },
          "group_name": {
            "type": "string",
            "description": "Merchant category group name"
          },
          "network_group": {
            "type": "string",
            "description": "Merchant category group name sent by network"
          }
        }
      },
      "Authorization": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "description": "Authorization ID"
          },
          "type": {
            "type": "string",
            "enum": [
              "PLATFORM",
              "NETWORK"
            ],
            "description": "Authorization's type"
          },
          "code": {
            "type": "string",
            "description": "Authorization code or Network Approval Code"
          },
          "payment_method_id": {
            "type": "string",
            "description": "Payment method"
          },
          "network": {
            "type": "string",
            "enum": [
              "VISA",
              "MASTERCARD"
            ],
            "description": "Visa or Mastercard network"
          },
          "tracking_id": {
            "type": "string",
            "description": "Idempotency tracking ID"
          },
          "correlated_authorization_id": {
            "type": "integer",
            "format": "int64",
            "description": "Authorization ID generated by force or installment operations when the `original_authorization` field is provided. See the [Force operation](https://developers.pismo.io/pismo-docs/docs/force-operation) and [Installments payment](https://developers.pismo.io/pismo-docs/docs/installments-payment) guides for more information."
          },
          "original_account_id": {
            "type": "integer",
            "format": "int64",
            "description": "Original account ID. This field is used when the transaction is linked to a authorizaiton that was made on a different account than the one being queried."
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "Error description."
          },
          "error": {
            "type": "string",
            "description": "Error description."
          },
          "code": {
            "type": "string",
            "description": "Code description."
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/v2/transactions/{transactionId}": {
      "get": {
        "tags": [
          "Transactions"
        ],
        "summary": "Get transaction",
        "description": "Get a specific transaction by its ID. You can use the [List transactions](https://developers.pismo.io/pismo-docs/reference/searchtransactions) endpoint to search for a transaction and get its ID.\n",
        "operationId": "GetTransactionById",
        "parameters": [
          {
            "in": "path",
            "name": "transactionId",
            "description": "Transaction ID",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "in": "query",
            "name": "includeMetadata",
            "description": "Return transaction metadata flag.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransactionWithMetadata"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "invalidRequestHeaders": {
                    "summary": "Invalid request headers",
                    "value": {
                      "message": "Invalid request headers",
                      "error": "Invalid request headers",
                      "code": "WTRC00002"
                    }
                  },
                  "invalidRequestParameter": {
                    "summary": "Invalid request parameters",
                    "value": {
                      "message": "Invalid request parameters",
                      "error": "Invalid request parameters",
                      "code": "WTRC00003"
                    }
                  },
                  "transactionIdNotInformed": {
                    "summary": "Transaction ID not provided",
                    "value": {
                      "message": "Transaction ID not provided",
                      "error": "Transaction ID not provided",
                      "code": "WTRC01003"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "transactionNotFound": {
                    "summary": "Transaction not found",
                    "value": {
                      "message": "Transaction not found",
                      "error": "Transaction not found",
                      "code": "WTRC01001"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal error",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "internalProcessingError": {
                    "summary": "Internal processing error",
                    "value": {
                      "message": "Internal processing error",
                      "error": "Internal processing error",
                      "code": "ETRC00001"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  }
}
```